#!/bin/bash
# (c) Holger Klemm 2007
# SpinDown-Script
# Formats DVD-RAM and others
# Author: Holger Klemm [dvd-ram@multimedia4linux.de]
# Updates/Infos: www.multimedia4linux.de
# License: GPL 2.0
# Version: 0.1
DEVICEPATH=`echo $1`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|system:/media|/dev|"`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|media:|/dev|"`
UDIDEVICE=`hal-find-by-property --key block.device --string $NEWDEVICE | grep -i storage`
UDIMEDIA=`hal-find-by-property --key block.device --string $NEWDEVICE | grep -i volume`
MOUNTSTATUS=`hal-get-property --udi $UDIMEDIA --key volume.is_mounted`
echo $MOUNTSTATUS
# Status check
kmdr-executor /opt/kde3/bin/dvd-ram_copy.kmdr
