#!/bin/bash
# (c) Holger Klemm 2007
# Format-Script
# Formats DVD-RAM and others
# Author: Holger Klemm [dvd-ram@multimedia4linux.de]
# Updates/Infos: www.multimedia4linux.de
# License: GPL 2.0
# Version: 0.3 (English version)
DEVICEPATH=`echo $1`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|system:/media|/dev|"`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|media:|/dev|"`
UDIDEVICE=`hal-find-by-property --key block.device --string $NEWDEVICE | grep -i volume`
export MPPATH1=`hal-get-property --udi $UDIDEVICE --key volume.mount_point | cut -d"/" -f 2`
export MPPATH2=`hal-get-property --udi $UDIDEVICE --key volume.mount_point | cut -d"/" -f 3`
export MPPERMISSIONS=`ls -ld /$MPPATH1/$MPPATH2 | grep $MPPATH2`
echo $MPPERMISSIONS
kmdr-executor /opt/kde3/bin/dvd-ram_properties.kmdr
